# Steemit FAQ 

## What is Steemit.com?

**Steemit** is a social network that empowers people for their contributions by rewarding them for their time, effort and creativity through digital points called **Steem**. 

Steemit has redefined social media by building a living, breathing, growing social economy; a “small town” community where users are getting rewarded for their voice, regardless of race, religion, gender or bias.  

## What is the Steem blockchain?

Steemit is powered by the Steem blockchain, an open source and publicly accessible database, that records all posts and votes, and distributes rewards across the network. 

## What can users upload to Steemit?

Steemit users can upload anything they want, whether it be phrases, quotes, anecdotes, photos, videos, memes, songs; anything that adds value to the ecosystem and generates commentary or critique.

## How does Steemit differ from other social media sites?

Steemit differs entirely from social media giants like Facebook, Reddit and Twitter because it is public and decentralized. Entrepreneurs are beginning to build side apps off the Steem blockchain and we encourage it; through building our thriving community and enhancing the foundation of others, we are changing the way people use and think about the internet. 

## Who are the Steemit co-founders?

Ned Scott, CEO of Steemit, @ned
https://www.linkedin.com/in/nedscott

Daniel Larimer, CTO of Steemit, @dan @dantheman
https://www.linkedin.com/in/daniel-larimer-0a367089

## What is the difference between Steem and Steemit?

Steem is the name of both the database and digital points, which are a form of cryptocurrency that Steemit.com plugs into. 

Steemit, Steemit.com and Steemit, Inc. are all names for a privately-owned company and website offering people a secure way to interact with the community network. Steemit is simply an interface to view the blockchain content of Steem.

## Can I earn digital points on Steemit? How?

You can earn digital points on Steemit by:

**Blogging/Posting** - By sharing your original and unique posts, you can get upvotes by community members. Depending on the upvotes you receive, you will get a portion of that day’s total payout.


**Curating/Voting** - If you discover a post and upvote it before it becomes popular, you will receive a curation reward. The reward amount will depend on the amount you have vested, called Steem Power.

## Is Steemit a scam?

Steemit is not a scam. A scam begins with you having to give money to someone else. Steemit is not a middleman to any of the digital points allocations users receive. Steemit doesn't ask you to invest anything.  The Steem blockchain and points system is entirely its own entity, similar to Bitcoin, and it should be treated with a high level of due diligence for anyone looking to leverage its digital points as cryptocurrency.

The Steemit team is extremely proud of what has been accomplished building on top of Steem and they are excited about what they’re continuing to build. Any insinuation that they’re doing something improper is abjectly false. Steemit’s blockchain-based transparency is essentially unprecedented in the history of social media networks, including those valued at tens of billions of dollars. 

Steem is based on years of research and development into blockchain technology and built by a team with more than 15+ years combined experience working on blockchain protocols and dapps. Steemit is deeply committed to delivering continuous improvement to the platform now and well into the future. 

Given the long term vision and the further growth it expects, Steemit was designed to leverage a blockchain that has deliberate mechanisms in place to prevent unexpected abandonment of the digital points. The blockchain’s built-in processes on its public, transparent ledger ensure that authors are rewarded for their contribution in Steem Power, Steem and Steem Dollars. 

The founders of Steemit currently own about half of the Steem supply. They are publicly committed to reducing their percentage ownership by distributing Steemit’s digital points as means for covering costs of scaling, operations and signing new users up the platform. 

## How does Steemit respond to public criticism?

Steemit is 100% committed to building the Steemit platform and contributing to Steem wherever possible. With new and disruptive technologies, critics are to be expected, but we believe the issue stems from lack of education.  The Steemit founders openly address criticisms in several podcasts. In regards to founding ownership, Dan and Ned have sold a very small % of their holdings and the @steemit account only powers down to prepare for engagements that fund operations, marketing and development.

The Steemit founders respect people’s right to freedom of speech and their own opinions, but they encourage self-education and research on cutting edge concepts in decentralized social media. 

## Where does the value come from?

At its root, Steem is simply a points system similar to other arcade style points systems, however, because this points system is blockchain based, the points are traded on cryptocurrency markets.  The speculation that occurs on these markets makes the value of the points transparent to everyone who uses Steem-based applications, such as Steemit. 


Steem uses pre-determined mathematical formulas to determine how many new points it will issue to users each day, and the Steem network continually creates digital points to reward content creators and curators (for voting on blog posts) at this set and specific rate. Some of the newly-created points are transferred to users who add value to Steemit by blogging, commenting, and voting on other people's blog posts. The remainder is distributed to holders of Steem Power to protect them from dilution.


By analogy, Steem is a game system for content, where the rewards people earn are video game tokens that have real market value and are readily tradable for Bitcoin and USD. It is similar to how someone playing a video game could obtain a rare item by playing the game. If they have the scarce item, then they could potentially sell it on video game item markets. 

## What is the difference between Steem, Steem Power, and Steem Dollars?

**Steem**, **Steem Power** and **Steem Dollars** are the three forms of digital points plugged into the Steem blockchain: 

**Steem** - Steem is the most liquid form of currency in the platform. Steem can be converted into Steem Power, Steem Dollars, or traded. 

**Steem Power** - Steem Power is a measurement of how much influence a user can wield via Steemit. The more Steem Power a user holds, the more they may influence the value of the content on the network. It is important to note when a user decides to “Power Down” Steem Power, they will receive equal distributions of the Steem Power as Steem over 13 weeks.

**Steem Dollars** - Steem Dollars are a blockchain and market powered token designed to be pegged to $1 USD. Steem Dollars may be turned into STEEM before they can be “Powered Up” into Steem Power. Steem Dollars may also be used to buy things in marketplaces, such as Steemit.com and PeerHub.com.

## What is Powering Down and Powering Up?

**Powering Down** - If you have Steem Power, you can begin to Power Down to obtain Steem. The system will transfer 1/13 of your Steem Power, to Steem each week for three months (13 weeks).

**Powering Up** - If you wish to gain more influence in the Steem network, you must increase your Steem Power. Powering Up is the process of instantaneously turning your Steem into Steem Power.


## How does Steemit, Inc. earn money?

Over time, Steemit will allow advertisers and bloggers to promote content by buying and burning Steem. Steemit can benefit from sales of Steem to advertisers in the cryptocurrency markets or offer advanced services to these advertisers and bloggers.

## Will I get a 1099 from Steemit?

No, you are not being paid by Steemit. The Steem network pays you. It is your responsibility to determine what, if any, taxes apply to the transactions you make, and it is your responsibility to report and remit the correct tax to the appropriate tax authority. By creating an account, you agree that Steemit is not responsible for determining whether taxes apply to your Steem transactions or for collecting, reporting, withholding, or remitting any taxes arising from any Steem transactions.   

## Is Steemit decentralized? What about Steem?

Steem as a blockchain is more decentralized than Steemit.com. Steemit, Inc. as a company, may be subject to laws that Steem (as an impersonal blockchain database distributed all over the world) is not.

## Is Steem open-source and is there an API?

Steem is 100% open-source and is the essential API for all data used by sites such as Steemit.com
https://steemit.com/steemjs/@fabien/steem-api-now-released

## What is available for developers interested in Steem and Steemit? 

Many software engineers are currently leveraging the open-source code to build their applications on Steem. There are more than sixty so far.
https://github.com/steemit/steem

## What third-party tools are there for Steemit?

There are a lot of them, and people are constantly developing more.
http://steemtools.com/

## Are my Steem and Steem Dollar tokens insured in the event of a hack or if someone takes over my account?

No, it is not. If your money is in Steem Power, however, it is impossible for a hacker to take out more than 1/13 per week.

## How do I set my recovery account? 

How does one setup the “trusted individual” who can identify you independently of your key?
https://steemit.com/blockchain/@dan/steemit-releases-groundbreaking-account-recovery-solution

## How does the recovery process work? What should I do first if I discover that someone hacked my account?

You must have already assigned a trusted individual who can identify you independently of your key. Steemit can identify users by their email, Facebook, and Reddit logins (if you signed up through us). You could also use your mother, wife, employer, or friend, or another third party provider.

When you notice your compromised account, you should contact your account recovery partner (the trusted individual) and ask them to submit a request to change the locks on your account. How is this request sent? They verify you by whatever means they find satisfactory and then submit a proposal to the blockchain to change the locks on your account.

Once you submit the proposal to the blockchain, you will have 24 hours to log in with both your old and new keys (aka passwords). Any key you used within the past 30 days is sufficient. If you login in time, then the keys will be changed, and the hacker will be locked out.

If you don't have a key used in the past 30 days, then your account will be unrecoverable.

### What if your Recovery Partner is Hacked too?

In this case, they would appeal to their account recovery partner. Once they recover their account, then they can work with you to recover your account. It is exponentially unlikely that the hacker can compromise all accounts in a very long chain of recovery partners. Therefore, you and your recovery partner should not use each other as their backup.
https://steemit.com/blockchain/@dan/steemit-releases-groundbreaking-account-recovery-solution

## What are Steem witnesses?

The community also elected 'witnesses' to act as Steem’s governance body, making decisions on improving the platform and preventing early adopters who may attempt to make unfair financial gain.

The Steem blockchain requires a set of people to create blocks and uses a consensus mechanism called Delegated Proof of Stake, or DPOS, in combination with Proof of Work. The people delegated to create these blocks are called witnesses and miners.

Steemit leverages Steem because the founders of Steemit believe Steem’s decentralized governance model makes Steem an excellent platform for supporting long term success of its social network and digital points.

## How can I vote for witnesses?

Users holding Steem Power can vote for witnesses of their choice by visiting this link. https://steemit.com/~witnesses

## How do I report a security vulnerability?

If you find a security issue please report details to security@steemit.com.

## Where can I find more information on Steemit?

### Links to Community Created FAQs

http://steemwiki.com
https://steemit.com/steemit/@thecryptofiend/the-missing-faq-a-beginners-guide-to-using-steemit

### Link to Whitepaper
https://steem.io/SteemWhitePaper.pdf
